
CoCoALib - Design #1145

File names, coding conventions: Fns, Ops, Operations? part 2

19 Dec 2017 07:45 - Anna Maria Bigatti

Status: Closed Start date: 19 Dec 2017

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Renaming Estimated time: 3.33 hours

Target version: CoCoALib-0.99600 Spent time: 3.30 hours

Description

We have used different styles:

MatrixOperations, RegisterServerOps

choose and rename

Related issues:

Related to CoCoALib - Design #1144: File names, coding conventions: Fns, Ops,... Closed 18 Dec 2017

Related to CoCoALib - Design #1177: File names: use "SparsePolyOps" prefix fo... Closed 06 Apr 2018

Related to CoCoALib - Support #847: Doc for BigInt, BigIntOps, BigRat -- shou... Closed 21 Mar 2016

Related to CoCoALib - Design #410: New file: BigRatOps Closed 18 Oct 2013

Related to CoCoALib - Design #408: Rename MatrixArith to MatrixOperations Closed 15 Oct 2013

Related to CoCoALib - Design #1607: Coding guidelines New 03 Aug 2021

History

#1 - 19 Dec 2017 07:46 - Anna Maria Bigatti

- Related to Design #1144: File names, coding conventions: Fns, Ops, Operations? part 1 added

#2 - 09 Mar 2018 18:14 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 10

JAA has a preference for Ops rather than Operations.  I think they are equally clear, and see no advantage in using the longer version.

#3 - 06 Apr 2018 19:47 - Anna Maria Bigatti

- Related to Design #1177: File names: use "SparsePolyOps" prefix for pertinent files added

#4 - 16 May 2018 16:57 - Anna Maria Bigatti

- Related to Support #847: Doc for BigInt, BigIntOps, BigRat -- should there be BigRatOps? added

#5 - 16 May 2018 16:58 - Anna Maria Bigatti

- Status changed from In Progress to Feedback

- Assignee set to John Abbott

- % Done changed from 10 to 90

Confirmed decision: Ops.

#6 - 16 May 2018 17:06 - Anna Maria Bigatti

- Related to Design #410: New file: BigRatOps added

#7 - 16 May 2018 17:06 - Anna Maria Bigatti
- Related to Design #408: Rename MatrixArith to MatrixOperations added

#8 - 17 May 2018 18:11 - Anna Maria Bigatti

renamed MatrixOperations in MatrixOps

renamed VectorOperations in VectorOps

#9 - 18 May 2018 17:12 - Anna Maria Bigatti

renamed IntOperations into BigIntOps

#10 - 12 Jun 2018 18:22 - John Abbott

I have renamed the doc files too.

#11 - 03 Aug 2018 16:17 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

- Estimated time set to 3.33 h

*FINAL DECISION: we use the abbreviation Ops for "operations"

All files have been renamed; in some cases they have been split using a minus sign after @Ops to avoid overly large source code files.

#12 - 04 Aug 2021 12:24 - Anna Maria Bigatti

- Related to Design #1607: Coding guidelines added
